<?php
if (!empty($this->cartProducts)) {
    ?>
    <div class="">
        <div class="padding15">    
            <h1><?= $this->notice->title ?></h1>
            <div class='orderform' style="margin-top: 10px;">
                <?= $this->notice->text ?>
                <table style="margin-top: 15px;">
                    <tr>
                        <td style="width: 240px"><h2><?= $this->str_order_id ?></h2></td>
                        <td><h2><?= $this->order->getOrderId(); ?></h2></td>
                    </tr>
                    <tr>
                        <td><h2><?= $this->str_order_status ?></h2></td>
                        <td><h2><?= $this->order->getStatusTitle() ?></h2></td>
                    </tr>
                    <tr>
                        <td><h2><?= $this->str_order_timestamp ?></h2></td>
                        <td><h2><?= $this->order->getTimestamp() ?></h2></td>
                    </tr>
                    <?php 
                    $shipping_address = $this->order->getShippingAddress();
                    if (!empty($shipping_address)) {
                    ?>
                    <tr>
                        <td><h2><?= $this->str_order_shipping_address ?></h2></td>
                        <td><h2><?= $shipping_address ?></h2></td>
                    </tr>
                    <?php } ?>
                </table>
                <h2><?= $this->str_order_session ?></h2>
            </div>
        </div>
    </div>
    <div class="">
        <div class="padding15">
            <h1><?= $this->str_order_details ?></h1>            
            <?php 
            require_once 'i_table.phtml';
            $text = "setting_text_".$this->lang;
            if (APP_LOCALE == 'cz') {
                $currency = 'CZK';
            } else {
                $currency = 'EUR'; 
            }
            switch ($this->order->getPaymentId()) {
                //Paypal
                case 1: ?>                
                    <h1><?= $this->str_order_payment ?></h1> 
                        <div class='orderform'>
                            <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
                                <input type="hidden" name="charset" value="utf-8">
                                <input type="hidden" name="cmd" value="_cart">
                                <input type="hidden" name="upload" value="1">
                                <input type="hidden" name="business" value="info@balkanova.cz">
                                <?php
                                $i = 0;
                                foreach ($this->cartProducts as $product) {
                                    $i++;
                                    ?>
                                    <input type="hidden" name="<?= 'item_name_' . $i ?>" value="<?= $product->getTitle(); ?>">
                                    <input type="hidden" name="<?= 'amount_' . $i ?>" value="<?= $product->getPrice(); ?>">
                                    <input type="hidden" name="<?= 'quantity_' . $i ?>" value="<?= $product->getQuantity(); ?>">
                                    <?php
                                }
                                if ($this->order->getShippingPrice() > 0) {
                                    $i++;
                                    ?>
                                    <input type="hidden" name="<?= 'item_name_' . $i ?>" value="<?= $this->str_shipping1 . ($this->order->getShippingTitle()); ?>">
                                    <input type="hidden" name="<?= 'amount_' . $i ?>" value="<?= $this->order->getShippingPrice(); ?>">
                                    <input type="hidden" name="<?= 'quantity_' . $i ?>" value="<?= $this->order->getDeliveryCount(); ?>">
                                <?php
                                }
                                if ($this->order->getPaymentPrice() > 0) {
                                    $i++;
                                    ?>
                                    <input type="hidden" name="<?= 'item_name_' . $i ?>" value="<?= $this->str_payment1 . ($this->order->getPaymentTitle()); ?>">
                                    <input type="hidden" name="<?= 'amount_' . $i ?>" value="<?= $this->order->getPaymentPrice(); ?>">
                                    <input type="hidden" name="<?= 'quantity_' . $i ?>" value="<?= $this->order->getPaymentCount(); ?>">
                                <?php } ?>
                                <input type="hidden" name="currency_code" value="<?= $currency ?>">
                                <input type="submit" value="<?= $this->str_order_paypal ?>" class='button active center cufon'>
                            </form>
                        </div>
            <?php            
                break;
                //7 = převod na český účet
                case 7:
                //9 = převod na slovenský účet
                case 9:
                //10 = převod na SIPO účet
                case 10:?>
                    <h1><?= $this->str_order_payment ?></h1> 
                    <div class='orderform'>                    
                    <p><?= $this->account->$text ?></p>
                    <table style="margin-top: 10px">
                        <tr>
                            <td style="width: 240px">
                                <h2><?= $this->str_account_sum ?></h2>
                            </td>
                            <td style='text-align: right; width: 180px'>
                                <h2><?= $this->currency->toCurrency($totalprice) ?></h2>
                            </td>
                        </tr>
                        <?php if (APP_ID == 1 && $this->order->getPaymentId() != '7') { ?>
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                            <td style='text-align: right'>
                                <h2><?= $this->currency->exchangeToEuro($totalprice) ?></h2>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <h2><?= $this->str_account_rate ?></h2>
                            </td>
                            <td style='text-align: right;'>
                                <h2 style='margin-right: 60px'><?= $this->currency->getExchangeRate(); ?></h2>
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                            <td>
                                <h2><?= $this->str_account_no ?></h2>
                            </td>
                            <td>
                                <h2><?= $this->account->setting_value1 ?></h2>
                            </td>
                        </tr>
                        <?php if ($this->order->getPaymentId() == '10') {?> 
                        <tr>
                            <td>
                                <h2><?= $this->str_account_swift ?></h2>
                            </td>
                            <td>
                                <h2><?= $this->account->setting_value2 ?></h2>
                            </td>
                        </tr>
                        <?php } else { ?>
                        <tr>
                            <td>
                                <h2><?= $this->str_account_bankId ?></h2>
                            </td>
                            <td>
                                <h2><?= $this->account->setting_value2 ?></h2>
                            </td>
                        </tr>
                        <?php } ?> 
                        <tr>
                            <td>
                                <h2><?= $this->str_account_var ?></h2>
                            </td>
                            <td>
                                <h2><?= $this->invoice_number ?></h2>
                            </td>
                        </tr>
                    </table>
                </div>           
                <?php 
                break;                
            } ?>
            <h1 style='margin-top: 15px'><?= $this->str_thanks2 ?></h1>  
        </div>
    </div>
    <?php
} else {?>
    <h1>Error</h1>
<?php
}
?>